poppler 0.14.3-0ubuntu1.1 source package in Ubuntu

Changelog

poppler (0.14.3-0ubuntu1.1) maverick-security; urgency=low

  * SECURITY UPDATE: possible arbitrary code execution via malformed PDF
    - debian/patches/CVE-2010-3702.patch: properly initialize parser in
      poppler/Gfx.cc.
    - CVE-2010-3702
  * SECURITY UPDATE: possible arbitrary code execution via malformed PDF
    - debian/patches/CVE-2010-3703.patch: Properly initialize stack in
      poppler/Function.cc.
    - CVE-2010-3703
  * SECURITY UPDATE: possible arbitrary code execution via malformed PDF
    - debian/patches/CVE-2010-3704.patch: make sure code isn't < 0 in
      fofi/FoFiType1.cc.
    - CVE-2010-3704
 -- Marc Deslauriers <email address hidden>   Wed, 13 Oct 2010 15:42:33 -0400

Upload details

Uploaded by:
Marc Deslauriers on 2010-10-13
Uploaded to:
Maverick
Original maintainer:
Ubuntu Desktop
Architectures:
any
Section:
devel
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
poppler_0.14.3.orig.tar.gz 1.7 MiB ca807bab3e88eebc25b56f02d7d04a482ba9d220fbaf172d3e48845939fae8c3
poppler_0.14.3-0ubuntu1.1.diff.gz 14.0 KiB c171472f551c7420ddeda043952522b805fbdbc0ce789efe23f74d6e702d9ef7
poppler_0.14.3-0ubuntu1.1.dsc 2.4 KiB be460662f401fb8773b788865beddc44e01b70819fa791705ae71f0befe0783b

View changes file

Binary packages built by this source

libpoppler-cpp-dev: No summary available for libpoppler-cpp-dev in ubuntu maverick.

No description available for libpoppler-cpp-dev in ubuntu maverick.

libpoppler-cpp0: No summary available for libpoppler-cpp0 in ubuntu natty.

No description available for libpoppler-cpp0 in ubuntu natty.

libpoppler-dev: No summary available for libpoppler-dev in ubuntu natty.

No description available for libpoppler-dev in ubuntu natty.

libpoppler-glib-dev: No summary available for libpoppler-glib-dev in ubuntu maverick.

No description available for libpoppler-glib-dev in ubuntu maverick.

libpoppler-glib5: No summary available for libpoppler-glib5 in ubuntu natty.

No description available for libpoppler-glib5 in ubuntu natty.

libpoppler-qt-dev: No summary available for libpoppler-qt-dev in ubuntu maverick.

No description available for libpoppler-qt-dev in ubuntu maverick.

libpoppler-qt2: No summary available for libpoppler-qt2 in ubuntu natty.

No description available for libpoppler-qt2 in ubuntu natty.

libpoppler-qt4-3: No summary available for libpoppler-qt4-3 in ubuntu maverick.

No description available for libpoppler-qt4-3 in ubuntu maverick.

libpoppler-qt4-dev: No summary available for libpoppler-qt4-dev in ubuntu maverick.

No description available for libpoppler-qt4-dev in ubuntu maverick.

libpoppler7: No summary available for libpoppler7 in ubuntu natty.

No description available for libpoppler7 in ubuntu natty.

poppler-dbg: No summary available for poppler-dbg in ubuntu maverick.

No description available for poppler-dbg in ubuntu maverick.

poppler-utils: No summary available for poppler-utils in ubuntu maverick.

No description available for poppler-utils in ubuntu maverick.